StudentWritingCParserInternal Namespace Reference

Internal: the structures of a StudentWritingCParser. More...

## Classes

struct | FrameStruct
| an structure of StudentWritingCParserInternal to store the position of a frame and its entries More...
struct | PageStruct
| an structure of StudentWritingCParserInternal to store the page's data More...
struct | PictureStruct
| an structure of StudentWritingCParserInternal to store the position of a picture and its entries More...
struct | ZoneStruct
| an structure of StudentWritingCParserInternal to store the position of a zone and its entries More...
struct | Zone
| a list of entry of StudentWritingCParser defining a zone More...
struct | State
| Internal: the state of a StudentWritingCParser. More...
class | SubDocument
| Internal: the subdocument of a StudentWritingCParser. More...
struct | LWZDecoder
| a basic LWZ decoder More...

## Typedefs

typedef std::pair< int, int > | ZoneEntry

## Detailed Description

Internal: the structures of a StudentWritingCParser.

## Typedef Documentation

## ZoneEntry

typedef std::pair<int, int> StudentWritingCParserInternal::ZoneEntry